"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
const BaseUser_1 = require("./BaseUser");
/**
 * Represents a user on iFunny
 * @extends BaseUser
 */
class User extends BaseUser_1.BaseUser {
    /**
     * @param client Client instance associated with the User
     * @param payload Payload of the User
     */
    constructor(client, payload) {
        super(client, payload);
    }
}
exports.User = User;
exports.default = User;
//# sourceMappingURL=User.js.map