import { APIComment } from "@ifunny/ifunny-api-types";
import { BaseComment } from "./BaseComment";
import { Content } from "./Content";
/**
 * Represents a Comment on iFunny
 * @extends BaseComment
 */
export declare class Comment extends BaseComment {
    /**
     * @param content Content attached to the Comment
     * @param payload Payload of the Comment
     */
    constructor(content: Content, payload: APIComment);
}
export default Comment;
//# sourceMappingURL=Comment.d.ts.map